package com.yihu.wlyy.entity.consult;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 患者视频、三师、公共、病友等咨询记录
 * @author George
 *
 */

@Entity
@Table(name = "wlyy_consult")
public class Consult extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1619584376832854189L;

	// 咨询标识
	private String code;
	// 患者标识
	private String patient;
	// 咨询类型：1三师咨询，2视频咨询，3图文咨询，4公共咨询，5病友圈
	private Integer type;
	// 咨询标题/主诉
	private String title;
	// 主诉
	private String symptoms;
	// 咨询图片URL，多图以逗号分隔
	private String images;
	// 咨询时间
	private Date czrq;
	// 作废标识，1正常，0作废
	private String del;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getSymptoms() {
		return symptoms;
	}

	public void setSymptoms(String symptoms) {
		this.symptoms = symptoms;
	}

	public String getImages() {
		return images;
	}

	public void setImages(String images) {
		this.images = images;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
